PUT
Update User

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

user_id
string
required

Unique UUID of the target system user.

Example:

"018f3a55-1111-2222-3333-561b34e2a101"

Body

application/json
name
string | null
email
string | null
phone_number
string | null
password
string | null
role_group_id
string | null
role_group_ids
string[] | null
role_assignments
RoleAssignmentInput · object[] | null
role_level
integer | null
use_sso
boolean | null
is_disabled
boolean | null

Response

Successful Response